Topic Title: Radeon X700 on Debian Sid AMD64
Topic Summary: driver installation impossible ?
Created On: 12/04/2013 05:43 AM
Status: Post and Reply
Linear : Threading : Single : Branch
Search Topic Search Topic
Topic Tools Topic Tools
View similar topics View similar topics
View topic in raw text format. Print this topic.
 12/04/2013 05:43 AM
User is offline View Users Profile Print this message

Author Icon
Klaus
Peon

Posts: 3
Joined: 12/03/2013

Hi,

I tried to install ati-driver-installer-9-3-x86.x86_64.run which is for my card, but the driver certainly is too old (from 2009), it is not made for my kernel (3.11-2-amd64):

bash ./ati-driver-installer-9-3-x86.x86_64.run
...
./ati-installer.sh: 869: [: Illegal number: 11-2-amd64
Error: ./default_policy.sh does not support version
default:v2:x86_64:lib32::none:3.11-2-amd64; make sure that the version is being
correctly set by --iscurrentdistro

I tried
bash ./ati-driver-installer-9-3-x86.x86_64.run --iscurrentdistro Debian/sid
Unrecognized flag : --iscurrentdistro

and

bash ./ati-driver-installer-9-3-x86.x86_64.run --iscurrentdistro Debian/sid
Unrecognized flag : --iscurrentdistro Debian/sid

but: "Unrecognized flag : --iscurrentdistro".

Is there any way to install an ati driver and fully make work 3D ?

Klaus



-------------------------
Debian powered !
 12/04/2013 07:08 AM
User is offline View Users Profile Print this message

Author Icon
Amunhateb
Peon

Posts: 3
Joined: 11/29/2013

You don't need to install this outdated driver on sid.. You won't be able to compile it for sure. All you need to do is to install this package: http://packages.debian.org/sid/firmware-linux-nonfree via:

#: apt-get install firmware-linux-nonfree

And use opensource driver. By installing nonfree firmware you will enable 3D support for OSS driver. Your card won't be supported anymore by amd driver. They droped it..

P.S.

If you don't have this package in repos it's possible that you didn't enable non-free repositories in your sources.list. To do so just open /etc/apt/sources.list with your preffered editor and edit these lines:

from

deb http://ftp.us.debian.org/debian sid main

to

deb http://ftp.us.debian.org/debian sid main contrib non-free

 12/04/2013 07:53 AM
User is offline View Users Profile Print this message

Author Icon
Klaus
Peon

Posts: 3
Joined: 12/03/2013

firmware-linux-nonfree is installed, but the control center of KDE will not use OpenGL, only xrandr. But with xrandr, 3d only works only partially and I cannot use googleearth.

https://wiki.debian.org/AtiHowTo says you must install propriatry driver.
But recommannndations at https://wiki.debian.org/fr/ATIProprietary are for squeez or wheezy, not for sid.

Under Knoppix however, 3D works fully with compiz, but Knoppix is 32 bit and it uses compiz. I tried without success to find out how Knoppix 3D works. I found compiz and I could install it, but 3D will not work.

Klaus



-------------------------
Debian powered !
 12/04/2013 06:33 PM
User is offline View Users Profile Print this message

Author Icon
Eydee
Ninja Zombie Killer

Posts: 4846
Joined: 12/27/2008

You can't install Catalyst for that card in any recent distro. Your only choice is using the open source driver. This is the situation with much newr cards as well, like the 4k series.



-------------------------

CPU: AMD Phenom II X4 810 @ 3120MHz | RAM: Kingmax 2x2GB DDR2 800 @ 833MHz| MoBo: MSI K9A2 CF v1.0 (BIOS: 1.D)| GPU: Asus HD 6850 1024MB (DirectCu) @ 835/1135MHz | Display: L24FHD | PSU: PC Power & Cooling Silencer 750 Quad | OS: MS Windows 3.11 Pro x64

Statistics
84163 users are registered to the AMD Support and Game forum.
There are currently 4 users logged in.

FuseTalk Hosting Executive Plan v3.2 - © 1999-2014 FuseTalk Inc. All rights reserved.